/*
 *  Subtitles control panel applet.
 *  Copyright (C) 2011 Roman Moravcik
 *
 *  Based on Battery applet from meegotouch-controlpanelapplets
 *  Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef SUBTITLESAPPLET_H
#define SUBTITLESAPPLET_H

#include <DcpAppletIf>
#include <QObject>
#include <QPointer>

class DcpWidget;
class MAction;
class SubtitlesWidget;

class Q_DECL_EXPORT SubtitlesApplet : public QObject, public DcpAppletIf
{
    Q_OBJECT
    Q_INTERFACES(DcpAppletIf)

public:
    SubtitlesApplet ();
    ~SubtitlesApplet ();

    virtual void init ();
    virtual DcpStylableWidget *constructStylableWidget (int widgetId);
    virtual QString title () const;
    virtual QVector<MAction *> viewMenuItems ();
    virtual DcpBrief* constructBrief (int partId = 0);

private:
    QPointer<SubtitlesWidget> m_MainWidget;
};

#endif
