/*
 *  Subtitles control panel applet.
 *  Copyright (C) 2011 Roman Moravcik
 *
 *  Based on Battery applet from meegotouch-controlpanelapplets
 *  Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef SUBTITLESWIDGET_H
#define SUBTITLESWIDGET_H

#include <DcpStylableWidget>

#include <MLinearLayoutPolicy>
#include <MLabel>
#include <MButton>
#include <MComboBox>

#include <QSettings>

class SubtitlesWidget : public DcpStylableWidget
{
    Q_OBJECT

public:
    SubtitlesWidget (QGraphicsWidget *parent = 0);
    ~SubtitlesWidget ();
    bool back ();

protected:
    void initWidget();

private slots:
    void AutoloadSubtitlesToggled (bool enabled);
    void RegularStyleButtonToggled (bool toggled);
    void ItalicStyleButtonToggled (bool toggled);
    void BoldStyleButtonToggled (bool toggled);
    void SubtitlesFontSizeActivated (int index);
    void SubtitlesEncodingActivated (int index);

private:
    void addHeaderContainer ();
    void addAutoloadSubtitlesContainer ();
    void addSubtitlesFontStyleContainer ();
    void addSubtitlesFontSizeContainer ();
    void addSubtitlesEncodingContainer ();

    void retranslateUi ();

private:
    MLinearLayoutPolicy     *m_MainLayout;
    MLabel                  *m_TitleLabel;
    MButton                 *m_AutoloadSubtitlesSwitch;
    MLabel                  *m_FontStyleLabel;
    MButton                 *m_RegularStyleButton;
    MButton                 *m_ItalicStyleButton;
    MButton                 *m_BoldStyleButton;
    MComboBox               *m_SubtitlesFontSizeCombo;
    MComboBox               *m_SubtitlesEncodingCombo;
    QSettings               *m_SubtitlesSettings;
};

#endif // SUBTITLESWIDGET_H
