/*
 * This file is part of QMAFW
 *
 * Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies). All rights
 * reserved.
 *
 * Contact: Visa Smolander <visa.smolander@nokia.com>
 *
 * This software, including documentation, is protected by copyright controlled
 * by Nokia Corporation. All rights are reserved. Copying, including
 * reproducing, storing, adapting or translating, any or all of this material
 * requires the prior written consent of Nokia Corporation. This material also
 * contains confidential information which may not be disclosed to others
 * without the prior written consent of Nokia.
 *
 */

#ifndef MAFW_BLANKING_PREVENTER_H
#define MAFW_BLANKING_PREVENTER_H

#include <QObject>
#include <QTimer>

namespace MeeGo
{
    class QmDisplayState;
};

/**
 * Helper class for preventing screen blanking.
 */
class MafwBlankingPreventer : public QObject
{
    Q_OBJECT

public:
    MafwBlankingPreventer(QObject* parent);

    /**
      * Disable screen blanking.
      */
    void blankingProhibit();

    /**
      * Enable screen blanking.
      */
    void blankingAllow();

private Q_SLOTS:
    void refresh();

private:
    QTimer m_refreshTimer;
    MeeGo::QmDisplayState *m_display;
};

#endif // MAFW_BLANKING_PREVENTER_H
