/*
 * This file is part of QMAFW
 *
 * Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies). All rights
 * reserved.
 *
 * Contact: Visa Smolander <visa.smolander@nokia.com>
 *
 * This software, including documentation, is protected by copyright controlled
 * by Nokia Corporation. All rights are reserved. Copying, including
 * reproducing, storing, adapting or translating, any or all of this material
 * requires the prior written consent of Nokia Corporation. This material also
 * contains confidential information which may not be disclosed to others
 * without the prior written consent of Nokia.
 *
 */

#ifndef MAFWGSTRENDERERNETWORKMONITOR_H
#define MAFWGSTRENDERERNETWORKMONITOR_H

#include <QObject>
#include <QtNetwork/QNetworkConfiguration>

class QNetworkConfigurationManager;
class MafwGstRendererNetworkMonitor : public QObject
{
    Q_OBJECT

public:
    MafwGstRendererNetworkMonitor();
    virtual ~MafwGstRendererNetworkMonitor();

Q_SIGNALS:
    void prepareNetworkChange();
    void networkChangeFinished();

private Q_SLOTS:
    void handleConfigurationChange(const QNetworkConfiguration & config);

private:
    QNetworkConfigurationManager *m_networkManager;
    QNetworkConfiguration m_currentConfiguration;
};

#endif // MAFWGSTRENDERERNETWORKMONITOR_H
