/*
 * This file is part of QMAFW
 *
 * Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies). All rights
 * reserved.
 *
 * Contact: Visa Smolander <visa.smolander@nokia.com>
 *
 * This software, including documentation, is protected by copyright controlled
 * by Nokia Corporation. All rights are reserved. Copying, including
 * reproducing, storing, adapting or translating, any or all of this material
 * requires the prior written consent of Nokia Corporation. This material also
 * contains confidential information which may not be disclosed to others
 * without the prior written consent of Nokia.
 *
 */

#ifndef MAFWGSTRENDERERSEEKER_H
#define MAFWGSTRENDERERSEEKER_H

#include <gst/gstelement.h>

G_BEGIN_DECLS

typedef struct _MafwGstRendererSeeker MafwGstRendererSeeker;


MafwGstRendererSeeker* mafw_gst_renderer_seeker_new();
void mafw_gst_renderer_seeker_set_pipeline(MafwGstRendererSeeker *seeker, GstElement *pipeline);
gboolean mafw_gst_renderer_seeker_seek_to(MafwGstRendererSeeker *seeker, gint64 seek_pos);

/*
 * Processes possible seek results. Check if position has changed correctly or enough, if not
 * executes new seek operation on the pipeline element.
 * @return The new seek request position or -1 if no new seek request is necessary.
 */
gint64 mafw_gst_renderer_seeker_process(MafwGstRendererSeeker *seeker);
void mafw_gst_renderer_seeker_cancel(MafwGstRendererSeeker *seeker);
void mafw_gst_renderer_seeker_free(MafwGstRendererSeeker *seeker);

G_END_DECLS

#endif // MAFWGSTRENDERERSEEKER_H
