/*
 * This file is part of QMAFW
 *
 * Copyright (C) 2009 Nokia Corporation and/or its subsidiary(-ies). All rights
 * reserved.
 *
 * Contact: Visa Smolander <visa.smolander@nokia.com>
 *
 * This software, including documentation, is protected by copyright controlled
 * by Nokia Corporation. All rights are reserved. Copying, including
 * reproducing, storing, adapting or translating, any or all of this material
 * requires the prior written consent of Nokia Corporation. This material also
 * contains confidential information which may not be disclosed to others
 * without the prior written consent of Nokia.
 *
 */
#include "ut_MafwGstRendererDolby.h"

#include <QDebug>
#include <QVariant>

#include "MafwGstRendererDolby.h"

void Ut_MafwGstRendererDolby::initTestCase()
{
    m_dolby = new MafwGstRendererDolby(this);
    m_dolby->initialize();
    delete m_dolby;
    m_dolby = new MafwGstRendererDolby(this);
    m_dolby->initialize();
}

void Ut_MafwGstRendererDolby::cleanupTestCase()
{
    delete m_dolby;
}

void Ut_MafwGstRendererDolby::testDolby()
{
    m_dolby->setMusicDolbyState(0);
    QCOMPARE(m_dolby->getMusicDolbyState(), (uint)0);
    m_dolby->setMusicDolbyState(1);
    QCOMPARE(m_dolby->getMusicDolbyState(), (uint)1);
    m_dolby->setMusicDolbyState(2);
    QCOMPARE(m_dolby->getMusicDolbyState(), (uint)2);
    m_dolby->setMusicDolbyState(3);
    QCOMPARE(m_dolby->getMusicDolbyState(), (uint)0);

    m_dolby->setMusicDolbyRoom(-1);
    QCOMPARE(m_dolby->getMusicDolbyRoom(), (int)0);
    m_dolby->setMusicDolbyRoom(0);
    QCOMPARE(m_dolby->getMusicDolbyRoom(), (int)0);
    m_dolby->setMusicDolbyRoom(1);
    QCOMPARE(m_dolby->getMusicDolbyRoom(), (int)1);
    m_dolby->setMusicDolbyRoom(2);
    QCOMPARE(m_dolby->getMusicDolbyRoom(), (int)2);
    m_dolby->setMusicDolbyRoom(3);
    QCOMPARE(m_dolby->getMusicDolbyRoom(), (int)3);
    m_dolby->setMusicDolbyRoom(4);
    QCOMPARE(m_dolby->getMusicDolbyRoom(), (int)4);
    m_dolby->setMusicDolbyRoom(5);
    QCOMPARE(m_dolby->getMusicDolbyRoom(), (int)4);

    m_dolby->setMusicDolbyColor(-1);
    QCOMPARE(m_dolby->getMusicDolbyColor(), (int)0);
    m_dolby->setMusicDolbyColor(0);
    QCOMPARE(m_dolby->getMusicDolbyColor(), (int)0);
    m_dolby->setMusicDolbyColor(1);
    QCOMPARE(m_dolby->getMusicDolbyColor(), (int)1);
    m_dolby->setMusicDolbyColor(2);
    QCOMPARE(m_dolby->getMusicDolbyColor(), (int)2);
    m_dolby->setMusicDolbyColor(3);
    QCOMPARE(m_dolby->getMusicDolbyColor(), (int)3);
    m_dolby->setMusicDolbyColor(4);
    QCOMPARE(m_dolby->getMusicDolbyColor(), (int)4);
    m_dolby->setMusicDolbyColor(5);
    QCOMPARE(m_dolby->getMusicDolbyColor(), (int)4);

    m_dolby->setVideoDolbyState(0);
    QCOMPARE(m_dolby->getVideoDolbyState(), (uint)0);
    m_dolby->setVideoDolbyState(1);
    QCOMPARE(m_dolby->getVideoDolbyState(), (uint)1);
    m_dolby->setVideoDolbyState(2);
    QCOMPARE(m_dolby->getVideoDolbyState(), (uint)2);
    m_dolby->setVideoDolbyState(3);
    QCOMPARE(m_dolby->getVideoDolbyState(), (uint)0);

    m_dolby->setVideoDolbyRoom(-1);
    QCOMPARE(m_dolby->getVideoDolbyRoom(), (int)0);
    m_dolby->setVideoDolbyRoom(0);
    QCOMPARE(m_dolby->getVideoDolbyRoom(), (int)0);
    m_dolby->setVideoDolbyRoom(1);
    QCOMPARE(m_dolby->getVideoDolbyRoom(), (int)1);
    m_dolby->setVideoDolbyRoom(2);
    QCOMPARE(m_dolby->getVideoDolbyRoom(), (int)2);
    m_dolby->setVideoDolbyRoom(3);
    QCOMPARE(m_dolby->getVideoDolbyRoom(), (int)3);
    m_dolby->setVideoDolbyRoom(4);
    QCOMPARE(m_dolby->getVideoDolbyRoom(), (int)4);
    m_dolby->setVideoDolbyRoom(5);
    QCOMPARE(m_dolby->getVideoDolbyRoom(), (int)4);

    m_dolby->setVideoDolbyColor(-1);
    QCOMPARE(m_dolby->getVideoDolbyColor(), (int)0);
    m_dolby->setVideoDolbyColor(0);
    QCOMPARE(m_dolby->getVideoDolbyColor(), (int)0);
    m_dolby->setVideoDolbyColor(1);
    QCOMPARE(m_dolby->getVideoDolbyColor(), (int)1);
    m_dolby->setVideoDolbyColor(2);
    QCOMPARE(m_dolby->getVideoDolbyColor(), (int)2);
    m_dolby->setVideoDolbyColor(3);
    QCOMPARE(m_dolby->getVideoDolbyColor(), (int)3);
    m_dolby->setVideoDolbyColor(4);
    QCOMPARE(m_dolby->getVideoDolbyColor(), (int)4);
    m_dolby->setVideoDolbyColor(5);
    QCOMPARE(m_dolby->getVideoDolbyColor(), (int)4);
}

QTEST_MAIN(Ut_MafwGstRendererDolby)

