/*
 * This file is part of QMAFW
 *
 * Copyright (C) 2010 Nokia Corporation and/or its subsidiary(-ies). All rights
 * reserved.
 *
 * Contact: Visa Smolander <visa.smolander@nokia.com>
 *
 * This software, including documentation, is protected by copyright controlled
 * by Nokia Corporation. All rights are reserved. Copying, including
 * reproducing, storing, adapting or translating, any or all of this material
 * requires the prior written consent of Nokia Corporation. This material also
 * contains confidential information which may not be disclosed to others
 * without the prior written consent of Nokia.
 *
 */

#include <gio/gio.h>
#include <QStringList>
#include <QDBusConnection>

QStringList stubMounts;

QStringList g_dbusConnectionParams;

// GVolumeMonitor

GVolumeMonitor *g_volume_monitor_get(void)
{
    return (GVolumeMonitor*)1;
}

GList * g_volume_monitor_get_mounts(GVolumeMonitor *volume_monitor)
{
    return (GList*)1;
}

// GObject

gulong	 g_signal_connect_data		      (gpointer		  instance,
                           const gchar	 *detailed_signal,
                           GCallback	  c_handler,
                           gpointer		  data,
                           GClosureNotify	  destroy_data,
                           GConnectFlags	  connect_flags)
{
    return 0;
}

void g_object_unref(gpointer object)
{
}

// GList

guint g_list_length(GList *list)
{
    return stubMounts.size();
}

gpointer g_list_nth_data(GList *list, guint n)
{
    return (void*)(n+1);
}

void g_list_free(GList *list)
{
}

// GMount

GFile * g_mount_get_root(GMount *mount)
{
    return (GFile*)mount;
}

// GFile

char* g_file_get_uri(GFile *file)
{
    return g_strdup(stubMounts[(int)file-1].toAscii().constData());
}


//QDBusConnection

QDBusConnection::QDBusConnection(const QString& /*name*/)
{
}

QDBusConnection QDBusConnection::sessionBus()
{
    return QDBusConnection("...");
}

bool QDBusConnection::connect(const QString &service,
                              const QString &path,
                              const QString &interface,
                              const QString &name,
                              QObject *receiver,
                              const char *slot)
{
    g_dbusConnectionParams << service;
    g_dbusConnectionParams << path;
    g_dbusConnectionParams << interface;
    g_dbusConnectionParams << name;
    g_dbusConnectionParams << QString::number(reinterpret_cast<uint>(receiver));
    g_dbusConnectionParams << slot;

    return true;
}
